### Method

# FwupdPlugin Device get_metadata

since: 0.1.0

#### Declaration [src]

    const gchar*
    fu_device_get_metadata (
      FuDevice* self,
      const gchar* key
    )

#### Description [src]

Gets an item of metadata from the device.

Available since: 0.1.0

#### Parameters

`key`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

A string value, or `NULL` for unfound.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.